/*
  Graphic LCD LQ020B8UB02 control modlue

  T. Nakagawa
  2011/04/09
*/


#ifndef _GLCD_H_
#define _GLCD_H_


#define GLCD_WIDTH 132
#define GLCD_HEIGHT 162
#define GLCD_FONTWIDTH 4
#define GLCD_FONTHEIGHT 8


extern char *glcd_error;


int glcd_open(void);
void glcd_close(void);
void glcd_putbmp(const unsigned short *bmp);
void glcd_fgcolor(unsigned char r, unsigned char g, unsigned char b);
void glcd_bgcolor(unsigned char r, unsigned char g, unsigned char b);
void glcd_print(int x, int y, const char *str);
void glcd_clear(void);
void glcd_scroll(int size);
void glcd_refresh(void);
void glcd_font(char *chr, char *font);


#endif
