/*
  LCD2USB control module

  T. Nakagawa
  2011/04/15
*/


#ifndef _CLCD_H_
#define _CLCD_H_


#define CLCD_WIDTH 16
#define CLCD_HEIGHT 2


extern char *clcd_error;


int clcd_open(void);
void clcd_close(void);
void clcd_setcontrast(unsigned char val);
void clcd_setbrightness(unsigned char val);
void clcd_print(const char *str);
unsigned char clcd_getkey(void);


#endif
