#!/bin/sh

export MPLAYER_VERBOSE=-5
ext=`echo $1 | sed -e 's/^.*\.//'`
if [ $ext = wav -o $ext = mp3 ]; then
  mplayer -msglevel demux=5:network=4 -input conf=`dirname $0`/mplayer.conf $1 | nkf -e -u
elif [ $ext = m3u -o $ext = pls ]; then
  mplayer -msglevel demux=5:network=4 -input conf=`dirname $0`/mplayer.conf -playlist "$1" | nkf -e -u | sed -u -e 's/^Clip info:.*/\f/g' -e 's/^ Title: \(.*\)/\x05\xff\x00\x00\xff\xff\xff\1/g' -e 's/^ Artist: \(.*\)/\x05\xff\x00\xff\xff\xff\xff\1/g' -e 's/^ Album: \(.*\)/\x05\x00\x00\xff\xff\xff\xff\1\x05\x00\x00\x00\xff\xff\xff/g'
fi
